aboutsummaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap66
1 files changed, 66 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 00000000..89c7bbab
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,66 @@
+#! /bin/sh
+#
+# Copyright (C) 2011-2012 Michael Tuexen
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# 3. Neither the name of the project nor the names of its contributors
+# may be used to endorse or promote products derived from this software
+# without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+
+#bail out on error
+set -e
+
+#detect (g)libtoolize
+if which libtoolize >/dev/null
+then
+ _LIBTOOLIZE=`which libtoolize`
+elif which glibtoolize >/dev/null
+then
+ _LIBTOOLIZE=`which glibtoolize`
+else
+ echo "ERROR: I cannot find libtoolize or glibtoolize!"
+ exit 1
+fi
+
+#execute (g)libtoolize
+${_LIBTOOLIZE}
+
+#execute aclocal
+if [ -e /usr/local/share/aclocal ]
+then
+ aclocal -I /usr/local/share/aclocal
+elif [ -e /usr/share/aclocal ]
+then
+ aclocal -I /usr/share/aclocal
+else
+ aclocal
+fi
+
+#execute autoconf
+autoconf
+
+#generate the ./configure
+automake --foreign --add-missing --copy
+